Name:           junit4
Version:        4.11
Release:        1
Summary:        Java regression test package
License:        CPL
URL:            http://www.junit.org/
Group:          Development/Java
# git clone --bare git://github.com/KentBeck/junit.git junit.git
# mkdir junit-4.8.2
# git --git-dir=junit.git --work-tree=junit-4.8.2 checkout r4.8.2
# tar cjf junit-4.8.2.tar.bz2 junit-4.8.2/
Source0:        junit-%{version}-clean.tar.gz
# Removing hamcrest source jar references (not available and/or necessary)
Patch0:         %{name}-no-hamcrest-src.patch
Patch1:		junit-r4.11-remove-InaccessibleBaseClassTest.patch
Requires(post): jpackage-utils >= 0:1.7.4
Requires(postun): jpackage-utils >= 0:1.7.4
Requires:       hamcrest
BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.7.4
BuildRequires:  java-1.8.0-devel
BuildRequires:  java-rpmbuild
BuildRequires:  hamcrest
BuildArch:      noarch

%description
JUnit is a regression testing framework written by Erich Gamma and Kent Beck. 
It is used by the developer who implements unit tests in Java. JUnit is Open
Source Software, released under the Common Public License Version 1.0 and 
JUnit is Open Source Software, released under the IBM Public License and
hosted on SourceForge.

%package manual
Group:          Development/Java
Summary:        Manual for %{name}

%description manual
Documentation for %{name}.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.

%package demo
Group:          Development/Java
Summary:        Demos for %{name}
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n junit-r%{version}
%patch0 -p1
%patch1 -p1

cp build/maven/junit-pom-template.xml pom.xml

ln -s $(build-classpath hamcrest/core) lib/hamcrest-core-1.3.jar
perl -pi -e 's/\r$//g' stylesheet.css

%build
export CLASSPATH=/usr/share/java/hamcrest/core.jar
export OPT_JAR_LIST=:
%ant dist
#ant -Dant.build.javac.source=1.6 dist

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 junit%{version}-SNAPSHOT/junit-%{version}-SNAPSHOT.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir} 
ln -sf %{name}-%{version}.jar %{name}.jar
popd

# pom
install -d -m 755 %{buildroot}%{_datadir}/maven2/poms
install -m 644 pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap junit junit %{version} JPP %{name}

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr junit%{version}-SNAPSHOT/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

# demo
install -d -m 755 %{buildroot}%{_datadir}/%{name}/demo/junit # Not using %%name for last part because it is 
                                                                # part of package name
cp -pr junit%{version}-SNAPSHOT/junit/* %{buildroot}%{_datadir}/%{name}/demo/junit

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc cpl-v10.html README.html
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_datadir}/maven2/*
%{_mavendepmapfragdir}/*

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc junit%{version}-SNAPSHOT/doc/*


%changelog

* Thu Jun 18 2015 dsilakov <denis.silakov@rosalab.ru> 4.11-1
- (e8dbe9b) Merge pull request #1 from dsilakov/junit4:rosa2014.1
- (e8dbe9b) Updated to 4.11


